/* Resets */
html {
    scroll-behavior: smooth;
}
html, body{
    font-family: 'Muli', sans-serif;
}
html, 
body,
nav,
p,
ul,
ul li,
.nav > li > a,
.social-btns > li > a, 
form,
textarea {
	padding: 0;
	margin: 0;
}

a,
a:hover,
a:active,
a:visited {
	color: inherit;
	text-decoration: none !important;
	background: none !important;
	outline: none;
}

button,
button:active, 
input {
	-webkit-appearance: none;
	-moz-appearance: none;
	     appearance: none;
}
.mt-5, .my-5 {
    margin-top: 3rem!important;
}
.mt-3, .my-3 {
    margin-top: 1rem!important;
}
.mt-0, .my-0 {
    margin-top: 0rem!important;
}
button,
button:active,
input,
textarea {
	outline: none;
	background: none;
	border: none;
	color: inherit;
}

/* Bootstrap Changes */
.container {
	max-width: 1100px;
}
.nav{
    flex-direction: row;
    display: flex;
    vertical-align: baseline;
}
.nav li{
    padding-left: 20px;
    padding-right: 20px;
}
.min-max-height-346{
    min-height: 146px !important;
    max-height: 146px !important; 
}
.vcenter {
     position: relative;
  top: 50%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(10%);
}
.max-height-300{
    max-height: 100px !important; 
}
@media (min-width: 520px) and (max-width: 767px) {
	.container {
		width: 500px;
	}
}
@media (min-width: 320px) and (max-width: 767px) {
	.mb-5-xs {
		margin-bottom: 3em !important;	
        }
        .col-xsx-offset-2 {
    margin-left: 16.66666667%;
}
}
.card{
    padding: 10px !important;
}
.nav > .header__nav__item > a:hover {
	background: none;
}
.nav > .header__nav__item > a {
	display: inline;
}
.header__nav__item{
    font-family: 'Raleway', sans-serif;
}
/* Generic Styles & Utility */
 
.js-dis {
	display: none;
}

.text-bold {
	font-family: 'Raleway';
  font-weight: 700;
}

a.global-button,
.global-button,
.heading,
.header__nav {
	font-size: 1.7em;
	font-family: 'Raleway', sans-serif;
}

a.global-button,
.global-button,
.heading {
	text-transform: uppercase;
	color: #fbb11a;
}
.heading {
	margin: 0;
	margin-bottom: 2em;
}
.max-height-120{
    max-height:120px !important;
}
.header__social-btns > li > a:hover,
.filters__label:hover {
	color: #51e6a6;
}

.header__social-btns > li > a,
.filters__label,
.credit-link {
	transition: all 250ms linear;
}

/* ----- Page ----- */
html, 
body {
	font-size: 100%;
	font-family: 'Muli', sans-serif;
	color: #6c6753;
}

/*** Header ***/

.header {
	padding: 1.5em 6% 1em;
	position: fixed;
	width: 100%;
	background: #fff;
	z-index: 10;
}

@media (min-width: 920px) {
	.header {
		padding-left: 6em;
		padding-right: 6em;
	} 
}

/* Nav */

.header__nav,
.header__social-btns {
	display: inline-block;
	margin-right: -4px;		/* solves inline-block whitespace issue */
	width: 50%;
	vertical-align: bottom;
}
.w-100{
    width: 100% !important;
}
.w-75{
    width: 75% !important;
}
.color-pratik-yellow{
    color: #FBB11A !important;
}
.header__nav {
	line-height: .9em;
}

.header__nav__item > a {
	position: relative;
}

.header__nav__item.is-active > a {
	font-family: 'Raleway', sans-serif;
  font-weight: 700;
}
.card-title{
    font-family: 'Raleway', sans-serif !important;
  font-weight: 700 !important;
}
.header__nav__item.is-active > a:hover {
	color: currentColor;
}

.header__nav__item > a,
.header__nav__item > a:hover {
	color: #FCB11B;
}

.header__nav__item > a::before {
	position: absolute;
	top: 0;
	bottom: 0;
	overflow: visible;
	left: -7em;
}

.header__nav__item > a:hover::before,
.header__nav__item.is-active > a::before {
	left: -2.5em;
}

/* Collapsible Navigation */
.nav-toggle-wrapper {
	display: none;
	height: 2em;
}

.nav-toggle-btn {
	display: inline;
	position: relative;
	height: 2em;
	width: 2em;
	cursor: pointer;
}

.nav-toggle-btn > .line {
	display: block;
	position: absolute;
	top: 50%; left: 0; right: 0;
	height: .25em;
	background-color: #6c6753;
	-webkit-transform: translateY(-50%);
	        transform: translateY(-50%);
	-webkit-transform-origin: 50% 50%;
	        transform-origin: 50% 50%;
	transition: all 200ms linear;
}

.nav-toggle-btn > .line:first-child {
	-webkit-transform: translateY(-250%);
	        transform: translateY(-250%);
}

.nav-toggle-btn > .line:last-child {
	-webkit-transform: translateY(150%);
	        transform: translateY(150%);
}

/* icon animations */
 
.nav-toggle-btn:hover > .line:first-child {
	-webkit-transform: translateY(-300%);
	        transform: translateY(-300%);
}
.nav-toggle-btn:hover > .line:last-child {
	-webkit-transform: translateY(200%);
	        transform: translateY(200%);
}

/* change icon appearance on expanded nav */
.nav-toggle-wrapper.expand > .nav-toggle-btn > .line:first-child {
	-webkit-transform: translateY(-50%) rotate(45deg);
	        transform: translateY(-50%) rotate(45deg);
}

.nav-toggle-wrapper.expand > .nav-toggle-btn > .line:nth-child(2) {
	-webkit-transform: translateY(-50%) rotate(45deg);
	        transform: translateY(-50%) rotate(45deg);
}

.nav-toggle-wrapper.expand > .nav-toggle-btn > .line:last-child {
	-webkit-transform: translateY(-50%) rotate(-45deg);
	        transform: translateY(-50%) rotate(-45deg);
}

@media (max-width: 768px) {
	.header__nav {
		visibility: hidden;
		opacity: 0;
		position: absolute;
		top: 2em; left: 0;
		height: calc(100vh - 2em);
		width: 100%;
		text-align: center;
		line-height: 1.5em;
		background-color: #fff;
		padding-bottom: 2em;
		overflow: hidden;
		transition: opacity 400ms ease-out;
	}
	
	.nav-toggle-wrapper {
		display: inline-block;
		width: 50%;
		margin-right: -4px;
	}
	
	.nav-toggle-wrapper.expand + .header__nav {
		visibility: visible;
		opacity: 1;
	}
	
	.header__nav > .nav {
		position: absolute;
		top: calc(50% - 2em); left: 0;
		width: 100%;
		-webkit-transform: translateY(-50%);
		        transform: translateY(-50%);
	}
}

/* Social Links */

.header__social-btns {
	text-align: right;
}

.header__social-btns > li {
	display: inline-block;
}

.header__social-btns > li > a {
	position: relative;
	padding: 5px;
}


/* --- Sections --- */

#about,
#contact {
	padding-top: 7.5em;
}
#portfolio{
    padding-top: 2.5em;
}

/*** About Section ***/
#about { 
	display: flex;
	min-height: 100vh;
}

#about .wrapper {
	max-width: 80%;
	margin: auto;
	margin-right: 10%
}
@media (min-width: 768px) {
	#about .wrapper {
		margin-right: 24%;
	}
}

.about__intro {
	border-left: 2px solid;
	padding-left: 2.2em;
	margin-bottom: 1em;
	max-width: 25em;
}

#about:hover .global-button.rotated::before {
	-webkit-animation: move_arrow_v 2500ms ease-in infinite forwards;
	        animation: move_arrow_v 2500ms ease-in infinite forwards;
}

@-webkit-keyframes move_arrow_v {
  0% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  50% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  60% {
    -webkit-transform: rotate(90deg) translateX(8px);
            transform: rotate(90deg) translateX(8px);
  }
  70% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  80% {
    -webkit-transform: rotate(90deg) translateX(8px);
            transform: rotate(90deg) translateX(8px);
  }
  90% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  100% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
}

@keyframes move_arrow_v {
  0% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  50% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  60% {
    -webkit-transform: rotate(90deg) translateX(8px);
            transform: rotate(90deg) translateX(8px);
  }
  70% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  80% {
    -webkit-transform: rotate(90deg) translateX(8px);
            transform: rotate(90deg) translateX(8px);
  }
  90% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
  100% {
    -webkit-transform: rotate(90deg) translateX(0px);
            transform: rotate(90deg) translateX(0px);
  }
}


/*** Portfolio Section ***/

/* Filters */
#portfolio > .filters {
	text-align: right;
	padding: 0 20px;
}

.filters__title {
	font-family: 'Raleway', sans-serif;
  font-weight: 700;
}

.filters__title,
.filters__list {
	display: inline-block;
	vertical-align: baseline;
}

.filters__label,
.filters__label:not(:first-child)::before {
	color: #dcd5b2;
}

.filters__label {
	display: inline-block;
	position: relative;
	margin-left: .8em;
	cursor: pointer;
}

.filters__label.is-active {
	color: inherit;
}

.filters__label:not(:first-child)::before {
	content: "/";
	margin-right: .8em;
}

/* Projects */

.portfolio__project-wrapper {
	padding: 0 2px;
}

.portfolio__project {
	position: relative;
	height: auto;
	padding: 0;
/*	background-color: #FBB11A;*/
       background: rgba(251, 177, 26, 0.7);
	background-clip: padding-box;
	border: 10px solid transparent;
	overflow: hidden;
}
.portfolio__project__preview {
	position: relative;
	top: 0;
	height: auto;
           
}

.portfolio__project__preview > img {
	width: auto;
	height: auto;
        max-width: 100%;
        
}
.justify-content-center {
    -ms-flex-pack: center!important;
    justify-content: center!important;
}
.h-100 {
    height: 100%!important;
}
.align-items-center {
    -webkit-box-align: center!important;
    -webkit-align-items: center!important;
    -ms-flex-align: center!important;
    align-items: center!important;
}
.portfolio__project__description {
	position: absolute;
	top: 100%;
	width: 100%;
	padding: 1.8em 1.3em;
	text-align: center;
	background: #fff;
}

.portfolio__project__name {
	font-family: 'Raleway', sans-serif;
	font-size: 1.1em;
	margin: 0;
	margin-bottom: .2em;
}

.portfolio__project__category {
	font-size: .9em;
	color: #dcd5b2;
	margin-bottom: .6em;
}

.portfolio__project__preview,
.portfolio__project__description {
	transition: all 600ms ease;
}

.portfolio__project:hover .portfolio__project__description {
	-webkit-transform: translateY(-100%);
	        transform: translateY(-100%);
}
.portfolio__project:hover .portfolio__project__preview {
	-webkit-transform: translateY(-2.5em);
	        transform: translateY(-2.5em);
}



/*** Contact Section - Footer ***/
footer {
	padding-bottom: 2em;
}

.contact-info-wrapper {
	padding: 0 11%;
	z-index: 9;
}

.contact-info {
	border-left: 2px solid;
	padding-left: 2.2em;
	font-family: 'Raleway', sans-serif;
	font-size: 1.2em;
	line-height: 1.8;
}

.contact-info p {
	margin-bottom: 0.8em;
}

.contact-info span {
	color: #fbb11a;
	font-weight: 700;
	text-transform: uppercase;
}

.contact-info a:hover {
	color: #51e6a6;
}

@media (max-width: 991px) {
	footer.container {
		width: 100%;
	}
}

@media (max-width: 520px) {
	.contact-info-wrapper {
		padding: 0 15px;
	}
        
}

@media (min-width: 992px) {
	#contact {
		padding-left: 15px;
		padding-right: 15px;
	}
	
	.contact-info-wrapper {
		padding: 0;
	}
}


#map {
	padding: 0;
	background-color: #f7fbde;
	height: 20em;
}
.h1, h1 {
    font-size: 50px;
}
@media (min-width: 768px) {
	#map {
		height: 25em;
	}
        .margin-right-xs-10{
            margin-right: 10px !important;
        }
}

footer > #credit {
	font-size: 0.8em;
	margin-top: 4em;
	text-align: center;
}

.credit-link, .credit-link:hover {
	text-decoration: underline !important;
}

.credit-link:hover {
  color: #51e6a6;
}
.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: .375rem .75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: .25rem;
    transition: color .15s ease-in-out,background-color .15s ease-in-out,border-color .15s ease-in-out,box-shadow .15s ease-in-out;
}
.btn-primary {
    color: #007bff;
    border-color: #fbb11a;
}
.btn-primary:hover {
    color: #ffffff !important;
    background-color: #fbb11a !important;
    border-color: #fbb11a;
}

